RECWAVE(1)

NAME
recwave - record an audio file in MicroSoft PCM wave format

SYNOPSIS
recwave [-b -s -r] file

DESCRIPTION
Recwav takes samples from /dev/audio and writes them to file in Microsoft PCM wave format.

OPTIONS

-b  number of bits to use for one sample. Must be 8 or 16, default is 8

-s  enable stereo sampling. 0 = mono (default), 1 = stereo

-r  sample rate in samples/sec. 4000 - 44100 (default 22050)

BUGS
The highest sample rate that can be used depends on the speed of the system and the size of the DMA buffer used in the driver. (/usr/src/kernel/sb16.h)

AUTHOR
Michel R. Prevenier (mrpreve@cs.vu.nl)